#include "i2c_driver.h"
#include "systemCall.h"

I2C_Driver::I2C_Driver()
{
}

std::string I2C_Driver::readByte(const uint8_t& address, const uint8_t& reg)
{
	std::string addrs = std::to_string(address); 
	std::string regs = std::to_string(reg);
	std::string command = "i2cget -y 1 " + addrs + " " + regs;
	char* c = const_cast<char*>(command.c_str());	
	return execBash(c); 
}

